org.apache.ignite.spi.systemview.jmx

## Class JmxSystemViewExporterSpi

- java.lang.Object
- - org.apache.ignite.spi.IgniteSpiAdapter
  - - org.apache.ignite.spi.systemview.jmx.JmxSystemViewExporterSpi

All Implemented Interfaces:
  IgniteSpi, SystemViewExporterSpi

    public class JmxSystemViewExporterSpi
    extends IgniteSpiAdapter
    implements SystemViewExporterSpi

This SPI implementation exports system views as JMX beans.

### Field Summary

### Fields inherited from class org.apache.ignite.spi.IgniteSpiAdapter

`ignite, igniteInstanceName, log`

### Constructor Summary

Constructors
Constructor and Description
`JmxSystemViewExporterSpi()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `register(SystemView<?> sysView)` Registers JMX bean for specific system view.
`void` `setExportFilter(Predicate<SystemView<?>> filter)` Sets export filter.
`void` `setSystemViewRegistry(ReadOnlySystemViewRegistry sysViewReg)` Sets system view registry that SPI should export.
`void` `spiStart(@Nullable String igniteInstanceName)` This method is called to start SPI.
`void` `spiStop()` This method is called to stop SPI.

### Methods inherited from class org.apache.ignite.spi.IgniteSpiAdapter

`addTimeoutObject, assertParameter, checkConfigurationConsistency0, clientFailureDetectionTimeout, configInfo, createSpiAttributeName, failureDetectionTimeout, failureDetectionTimeoutEnabled, failureDetectionTimeoutEnabled, getConsistentAttributeNames, getExceptionRegistry, getLocalNode, getName, getNodeAttributes, getSpiContext, ignite, initFailureDetectionTimeout, injectables, injectResources, isNodeStopping, onBeforeStart, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextDestroyed0, onContextInitialized, onContextInitialized0, registerMBean, removeTimeoutObject, setName, started, startInfo, startStopwatch, stopInfo, unregisterMBean`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.spi.IgniteSpi

`getName, getNodeAttributes, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextInitialized`

### Constructor Detail

#### JmxSystemViewExporterSpi

    public JmxSystemViewExporterSpi()

### Method Detail

#### spiStart

    public void spiStart(@Nullable
                         @Nullable String igniteInstanceName)
                  throws IgniteSpiException

This method is called to start SPI. After this method returns successfully kernel assumes that SPI is fully operational.

Specified by:
  `spiStart` in interface `IgniteSpi`
Parameters:
  `igniteInstanceName` - Name of Ignite instance this SPI is being started for (`null` for default Ignite instance).
Throws:
  `IgniteSpiException` - Throws in case of any error during SPI start.

#### register

    protected void register(SystemView<?> sysView)

Registers JMX bean for specific system view.

Parameters:
  `sysView` - System view.

#### spiStop

    public void spiStop()
                 throws IgniteSpiException

This method is called to stop SPI. After this method returns kernel assumes that this SPI is finished and all resources acquired by it are released.

Note that this method can be called at any point including during recovery of failed start. It should make no assumptions on what state SPI will be in when this method is called.

Specified by:
  `spiStop` in interface `IgniteSpi`
Throws:
  `IgniteSpiException` - Thrown in case of any error during SPI stop.

#### setSystemViewRegistry

    public void setSystemViewRegistry(ReadOnlySystemViewRegistry sysViewReg)

Sets system view registry that SPI should export. This method called before `IgniteSpi.spiStart(String)`.

Specified by:
  `setSystemViewRegistry` in interface `SystemViewExporterSpi`
Parameters:
  `sysViewReg` - System view registry.

#### setExportFilter

    public void setExportFilter(Predicate<SystemView<?>> filter)

Sets export filter. System view that not satisfy `filter` shouldn't be exported.

Specified by:
  `setExportFilter` in interface `SystemViewExporterSpi`
Parameters:
  `filter` - Filter.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020